<template>
  <section class="home">
    <form @submit="buscar">
      <input
        v-model="code"
        type="text"
        class="form-control mb-3 w-100"
        placeholder="Ex. NX132423096BR"
        required
      />
      <button type="submit" class="btn btn-success mx-0 mb-3">Buscar</button>
    </form>
    <h2 class="mb-4 text-center">{{nameProduto}}</h2>
    <div class="d-flex justify-content-center">
      <div>
        <div class="row" v-for="item in res" :key="item.descricao">
          <div class="col-3">
            <p class="m-0 text-center" >
              {{ item.data }} <br>
              {{ item.hora }}
            </p>
          </div>
           
          <div class="col-9" >
            <h2 class="mb-0" >{{ item.descricao }}</h2>
            <p class="mb-0 small">
              <span v-if="item.descricao == 'Objeto em trânsito - por favor aguarde'" > 
                de {{item.unidade.local}} -  {{item.unidade.endereco.bairro}},
              </span>
              <span v-if="item.unidade.cidade " >{{item.unidade.endereco.bairro}}, {{item.unidade.cidade}} / {{item.unidade.uf}}</span>
              <span v-else > de {{item.unidade.local}} </span>
              <br>
              <span v-if="item.descricao == 'Objeto em trânsito - por favor aguarde'" > 
                para {{item.destino[0].local}} -  {{item.destino[0].endereco.bairro}},
              {{item.destino[0].cidade}} / {{item.destino[0].uf}}
              </span>
            </p>
          </div>
          <hr>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import axios from "axios";

export default {
  name: "Dashboard",
  components: {},
  data() {
    return {
      code: null,
      nameProduto: '',
      res: []
    };
  },
  methods: {
    buscar(e) {
      e.preventDefault();
      var _vn = this
      axios
        .post("https://correios.contrateumdev.com.br/api/rastreio", {
          code: _vn.code,
          type: "LS"
        })
        .then(function (response) {
            // console.log(response.data)
            _vn.nameProduto = response.data.objeto[0].categoria
            _vn.res = response.data.objeto[0].evento
        })
        .catch(function (error) {

          console.log(error);
        });
    }

  },
};
</script>

<style scoped>
.home {
  height: calc(100vh - 145px);
}
h2{
  font-size: 18px;
}
.small{
  font-size: 12px;
}
</style>
